Create a budget alert
curl --request POST \
--url https://api.example.com/alerts-v2/budgetAlerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Platform team monthly budget burn",
"parentBudgetId": "cm7q2g4w90001w3e8b9x4k2pn",
"conditionType": "FORECASTED_EOM",
"selectedVirtualDimensionValues": [
"Platform",
"Shared infrastructure"
],
"thresholds": [
{
"severityLevel": "RED",
"value": 100
},
{
"severityLevel": "WARNING",
"value": 90
},
{
"severityLevel": "INFO",
"value": 75
}
],
"notification": {
"notificationChannel": "SLACK",
"slackChannelId": "C06FINOPS42"
}
}
'import requests
url = "https://api.example.com/alerts-v2/budgetAlerts"
payload = {
"name": "Platform team monthly budget burn",
"parentBudgetId": "cm7q2g4w90001w3e8b9x4k2pn",
"conditionType": "FORECASTED_EOM",
"selectedVirtualDimensionValues": ["Platform", "Shared infrastructure"],
"thresholds": [
{
"severityLevel": "RED",
"value": 100
},
{
"severityLevel": "WARNING",
"value": 90
},
{
"severityLevel": "INFO",
"value": 75
}
],
"notification": {
"notificationChannel": "SLACK",
"slackChannelId": "C06FINOPS42"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Platform team monthly budget burn',
parentBudgetId: 'cm7q2g4w90001w3e8b9x4k2pn',
conditionType: 'FORECASTED_EOM',
selectedVirtualDimensionValues: ['Platform', 'Shared infrastructure'],
thresholds: [
{severityLevel: 'RED', value: 100},
{severityLevel: 'WARNING', value: 90},
{severityLevel: 'INFO', value: 75}
],
notification: {notificationChannel: 'SLACK', slackChannelId: 'C06FINOPS42'}
})
};
fetch('https://api.example.com/alerts-v2/budgetAlerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"snoozedUntil": "2023-11-07T05:31:56Z",
"name": "<string>",
"selectedVirtualDimensionValues": [
"<string>"
],
"emails": [
"jsmith@example.com"
],
"shouldNotifyLineOwners": true,
"slackChannelId": "<string>",
"teamsChannelId": "<string>",
"parentBudgetId": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Alerts V2
Create a budget alert
Creates an alert for budget lines visible to the caller. Threshold percentages are ordered from highest severity to lowest.
POST
/
alerts-v2
/
budgetAlerts
Create a budget alert
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Body
application/json
Minimum string length:
1Minimum array length:
1Required array length:
1 - 3 elementsShow child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Available options:
ACTUAL_SPEND, FORECASTED_EOM Response
Budget alert created
Available options:
EMAIL, SLACK, TEAMS Available options:
ACTUAL_SPEND, FORECASTED_EOM Last modified on August 10, 2026
Was this page helpful?
⌘I
